#ifndef _FUNCTIONLIB_H
#define _FUNCTIONLIB_H


int parse_date_time(char *tree, DateTime *dt);

int parse_time_range(char *tree, int *start, int *end);

char *parse_int(char *tree, int *value);

char *parse_digits(char *tree, int *value, char *str);

char *parse_number(char *tree, float *value);

#endif

